<?php
session_start();
require_once('conexion.php');
if (isset($_SESSION['usu_nombre']))
{
    require_once('include/sesiones.php');
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='9' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
        if($reg['per_visualizar']=="Activo")
        {
?>
<!DOCTYPE html>
<html lang="en">
  <head>
  <?php include ('head.php');?>
  </head>
<body>
<?php
$inicio="";
$M_inventario="active";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$m_familias="";
$m_articulos="";
$m_combos="";
$m_servicios="";
$m_productos="";
$m_tarifas="";
$m_bodegas="";
$m_traslados="";
$m_ajustes="active";
$m_etiquetas="";
$m_ubicacion="";
$m_marca="";
include ('menu.php');
?> 
    
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_inventario.php');?>           
    </div> <!-- /span6 -->      
    <div class="col-md-10"> 
        <div class="widget stacked">
            <form name="form_ajuste" id="form_ajuste" action="" method="post" >
                <div class="widget-header"> </div>
                <div class="widget-content">
                    <div id="ajuste"></div>
                    <?php
                        $can=mysqli_query($con,"SELECT MAX(aju_n_ajuste)as aju_n_ajuste FROM ajuste_inventario where empresa='$empresa'") or die(mysqli_error($con)); 
                            if($dato=mysqli_fetch_array($can)) 
                            $aju_n_ajuste=$dato['aju_n_ajuste']+1;
                    ?> 
                    <div  class="col-md-3">
                        <div class="form-group">
                            <label>Ajuste N°</label>
                            <input type="text" name="aju_n_ajuste" value="<?php echo $aju_n_ajuste;?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div  class="col-md-3">
                        <div class="form-group">
                            <label>Fecha</label>
                            <input type="text" name="fecha" value="<?php echo date('Y-m-d');?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div  class="col-md-3">
                        <div class="form-group">
                            <label>Hora</label>
                            <input type="text" name="hora" value="<?php echo date('H:i:s');?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div  class="col-md-3">
                        <div class="form-group">
                            <label>Usuario</label>
                            <input type="text" name="usuario" value="<?php echo $usu_nombre ?>" class="form-control" readonly>
                        </div> <!-- /.form-group -->
                    </div>
                    <div  class="col-md-12">
                        <div class="form-group">
                            <label>Detalle de Ajuste</label>
                            <textarea name="detalle" class="form-control" rows="2"></textarea>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-8"></div>
                    <div class="col-md-4">
                        </br>
                        <div class="btn-group btn-group-justified" align="right">
                            <a href="#myModal" class="btn btn-warning" data-toggle="modal" >
                            <i class="btn-icon-only icon-plus"></i>Agregar Articulos</a>
                        </div></br>
                    </div>
                    
                    <div class="widget">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <div id="tabla"></div>
                            </div> <!-- /.table-responsive -->
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a type="button" href="I_ajuste_inventario.php" class="btn btn-default" data-dismiss="modal">Cancelar</a>
                        <button id="registrar_ajuste" type="submit" class="btn btn-success" ><i class="icon-ok"></i> Registrar</button>
                    </div>
                    <?php include ('include/pie_de_pagina.php'); ?>
                </div> <!-- /.widget-content -->
            </form> <!-- /.form -->
        </div> <!-- /.widget -->
    </div> <!-- /.col-md-9 -->
</div> <!-- /main -->


<div class="modal fade" id="reg_ser_aju" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Seriales</h4>
            </div>
            <div class="modal-body">
                <div id="form-serial_aju"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="reg_ser_tabla_aju" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Seriales Ajustes</h4>
            </div>
            <div class="modal-body">
                <div id="form-tabla_serial_ajus"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="reg_ser_nue" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Seriales Nuevos</h4>
            </div>
            <div class="modal-body">
                <div id="form-tabla_serial_nue"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->





<?php include ('php_buscador/buscador_ajuste.php'); ?>
<script>
$(document).ready(function(){
      load(1);
});

function load(page){
    var q= $("#q").val();
    var tipo= $("#tipo").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_ajustes.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
    })
}

function loadTabla2(){
  $.get("./php_ajustes/tabla.php","",function(data){
    $("#tabla").html(data);
  })
}
loadTabla2();

function loadTabla(){
  $('#reg_ser_aju').modal('hide');
  $.get("./php_ajustes/tabla.php","",function(data){
    $("#tabla").html(data);
  })
}
loadTabla();



function agregar(art_id_bod)
{
    var art_id=document.getElementById('art_id'+art_id_bod).value;
    var art_referencia=document.getElementById('art_referencia'+art_id_bod).value;
    var cantidad=document.getElementById('cantidad_'+art_id_bod).value;
    var nombre=document.getElementById('nombre_'+art_id_bod).value;
    var tipoajuste=document.getElementById('tipoajuste_'+art_id_bod).value;
    var detallado='no';
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_id_bod).focus();
        return false;
    }
    $.ajax({
        type: "POST",
        url: "./php_ajustes/tabla.php",
        data: "art_id_bod="+art_id_bod+"&art_id="+art_id+"&art_referencia="+art_referencia+"&cantidad="+cantidad+"&nombre="+nombre+"&tipoajuste="+tipoajuste+"&detallado="+detallado,
        beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos){
        $("#tabla").html(datos);
        }
    });
}

function agregar_detallados(artd_id)
{
    var artd_id=document.getElementById('artd_id'+artd_id).value;
    var artd_referencia=document.getElementById('artd_referencia'+artd_id).value;
    var nombre=document.getElementById('artd_nombre'+artd_id).value;
    var cantidad=document.getElementById('artd_cantidad'+artd_id).value;
    var tipoajuste=document.getElementById('artd_tipoajuste'+artd_id).value;
    var detallado='si';

    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('artd_cantidad'+artd_id).focus();
        return false;
    }

    $.ajax({
        type: "POST",
        url: "./php_ajustes/tabla.php",
        data: "artd_id="+artd_id+"&artd_referencia="+artd_referencia+"&nombre="+nombre+"&cantidad="+cantidad+"&tipoajuste="+tipoajuste+"&detallado="+detallado,
        beforeSend: function(objeto)
        {
            $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos)
        {
            $("#tabla").html(datos);

        }
    });   
}



$("#form_ajuste").submit(function( event ) {
    $('#registrar_ajuste').attr("disabled", true);
    var formData = new FormData($("#form_ajuste")[0]);
    var ruta = "php_ajustes/registrar_ajustes.php";
    $.ajax({
        type: "POST",
        url: ruta,
        data: formData,
        contentType: false,
         processData: false, 
        beforeSend: function(objeto){
         $('#ajuste').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#ajuste").html(datos);
        $('#registrar_ajuste').attr("disabled", false);
        loadTabla();
        }
    });
event.preventDefault();
})

</script>
<?php
    include ('php_caja/caja_abrir.php');
    include ('script.php');
?>
</body>
</html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>